NS8-Dolibarr Module

Dear All, I am, happy to Announce the Initial Version of Dolibarr being available. as an ns8 module.

To install, simply use

add-module ghcr.io/geniusdynamics/dolibarr:latest 1

to update the module simply use

api-cli run update-module --data '{"module_url":"ghcr.io/geniusdynamics/dolibarr:latest","instances":["dolibarr1"],"force":true}'

Then go to settings and configure

Please give feedbacks and recomendations

1 Like

Hi

Does this include any option for migration from NS7?
I did not read anything about migration so far.

My 2 cents
Andy

[root@srv1 ~]# add-module ghcr.io/geniusdynamics/dolibarr:latest 1
<7>podman-pull-missing ghcr.io/geniusdynamics/dolibarr:latest
Trying to pull ghcr.io/geniusdynamics/dolibarr:latest
Error: initializing source docker://ghcr.io/geniusdynamics/dolibarr:latest: unable to retrieve auth token: invalid username/password: unauthorized
Traceback (most recent call last):
File “/usr/local/agent/bin/podman-pull-missing”, line 35, in
subprocess.run([‘podman’, ‘pull’, image_url]).check_returncode()
File “/usr/lib64/python3.11/subprocess.py”, line 502, in check_returncode
raise CalledProcessError(self.returncode, self.args, self.stdout,
subprocess.CalledProcessError: Command '[‘podman’, ‘pull’, 'ghcr.io/geniusdynamics/dolibarr:latest’]’ returned non-zero exit status 125.
Traceback (most recent call last):
File “/var/lib/nethserver/cluster/actions/add-module/50update”, line 92, in
agent.run_helper(‘podman-pull-missing’, image_url, progress_callback=agent.get_progress_callback(0,33)).check_returncode()
File “/usr/lib64/python3.11/subprocess.py”, line 502, in check_returncode
raise CalledProcessError(self.returncode, self.args, self.stdout,
subprocess.CalledProcessError: Command '(‘podman-pull-missing’, 'ghcr.io/geniusdynamics/dolibarr:latest’)’ returned non-zero exit status 1.

I have an ideas as to how we can achieve the migration, we will see what can be done. Would you be open to helping us test the migration from NS7 Andy?

Maybe, depending on time… Very busy time for me, business partner in ReHa, so I have to do his share too…

We’ll see.

My 2 cents
Andy

Sorry for that
You can now retry

It now installs and I can reach the settings page. However, when accessing the FQDN given in the settings page in my browser, I get:

Bad Gateway

HTH

Try reloading the page for the second time that should fix the issue

That worked.

I guess some background processes where still doing their thing :wink:

Congrats! Now I am eagerly awaiting Zammad :wink:

Zammad is comming soon keep in touch @LayLow

1 Like

And thank you/your team for the work!

We appreciate your support

its interesting that after this release, Dolibarr 19 is released Release 19.0.0 · Dolibarr/dolibarr (github.com)

@LayLow and @Andy_Wismer would you be kind enough to thoroughly test this app in its current form before it can be added into nethforge and report any issues you find?

Anyone else willing to help thoroughly test the app is welcomed.

@oneitonitram

If I can find the time this week, I will.
But will probably be toward or on the weekend, this week is really busy.
Can the App import / export data, or is it even migrate-ready?

My 2 cents
Andy

Import should be possible if you name your database backup database as dolibarr.sql and save it in the restore-database directory of the Application Directory.(So far that’s what i believe)

IF need be we could implement a PhpMyadmin as an additional Component to imporve import of database, but i would need some input from @stephdl on disabling specific containers in an App, without collapsing the entire thing. so that phpymyadmin is not exposed all the time.

Not everyone cares about or uses phpymyadmin…
Nice when available, not more. I’ll use it if available, if not, so what?

CLI works well enough.
An import / export is still only a one-liner.

My 2 cents
Andy

great, if not required, less work for me